For the complete documentation index, see llms.txt. This page is also available as Markdown.

Collections

Wearable and emote collection management

Get all collections

get
/collections

Returns collections with filtering and pagination (committee members only for full access)

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Query parameters
qstringOptional

Search query

assigneestringOptional
statusstring · enumOptionalPossible values:
typestring · enumOptionalPossible values:
is_publishedstring · enumOptionalPossible values:
sortstring · enumOptionalPossible values:
pageinteger · min: 1Optional

Page number for pagination

Default: 1
limitinteger · min: 1 · max: 100Optional

Number of items per page

Default: 20
Responses
200

List of collections

application/json
okbooleanOptional
dataone ofOptional
or
get/collections
GET /v1/collections HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
{
  "ok": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "eth_address": "text",
      "salt": "text",
      "contract_address": "text",
      "urn": "text",
      "is_published": true,
      "is_approved": true,
      "minters": [
        "text"
      ],
      "managers": [
        "text"
      ],
      "forum_link": "text",
      "forum_id": 1,
      "lock": "2026-01-01T00:00:00.000Z",
      "reviewed_at": "2026-01-01T00:00:00.000Z",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get collections by address

get
/{address}/collections

Returns collections for a specific address

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
addressstringRequired
Query parameters
is_publishedstringOptional
sortstringOptional
pageinteger · min: 1Optional

Page number for pagination

Default: 1
limitinteger · min: 1 · max: 100Optional

Number of items per page

Default: 20
Responses
200

List of collections

application/json
okbooleanOptional
dataone ofOptional
or
get/{address}/collections
GET /v1/{address}/collections HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
{
  "ok": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "eth_address": "text",
      "salt": "text",
      "contract_address": "text",
      "urn": "text",
      "is_published": true,
      "is_approved": true,
      "minters": [
        "text"
      ],
      "managers": [
        "text"
      ],
      "forum_link": "text",
      "forum_id": 1,
      "lock": "2026-01-01T00:00:00.000Z",
      "reviewed_at": "2026-01-01T00:00:00.000Z",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get a collection

get
/collections/{id}

Returns a collection by ID

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Collection UUID

Responses
200

Collection details

application/json
okbooleanOptional
get/collections/{id}
GET /v1/collections/{id} HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
{
  "ok": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "eth_address": "text",
    "salt": "text",
    "contract_address": "text",
    "urn": "text",
    "is_published": true,
    "is_approved": true,
    "minters": [
      "text"
    ],
    "managers": [
      "text"
    ],
    "forum_link": "text",
    "forum_id": 1,
    "lock": "2026-01-01T00:00:00.000Z",
    "reviewed_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}

Create or update a collection

put
/collections/{id}

Creates a new collection or updates an existing one

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Collection UUID

Body
idstring · uuidRequired
namestringRequired
urnstringOptional
Responses
200

Collection created/updated successfully

No content

put/collections/{id}
PUT /v1/collections/{id} HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "urn": "text"
}

No content

Delete a collection

delete
/collections/{id}

Deletes a collection

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Collection UUID

Responses
200

Collection deleted successfully

No content

delete/collections/{id}
DELETE /v1/collections/{id} HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*

No content

Publish a collection

post
/collections/{id}/publish

Publishes a collection to the blockchain

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Collection UUID

Body
itemIdsstring[]Optional
Responses
200

Collection published successfully

No content

post/collections/{id}/publish
POST /v1/collections/{id}/publish HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "itemIds": [
    "text"
  ],
  "cheque": {
    "qty": 1,
    "salt": "text",
    "signature": "text"
  }
}

No content

Lock a collection

post
/collections/{id}/lock

Locks a collection until publication

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Collection UUID

Responses
200

Collection locked successfully

application/json
okbooleanOptional
datastring · date-timeOptional
post/collections/{id}/lock
POST /v1/collections/{id}/lock HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
{
  "ok": true,
  "data": "2026-01-01T00:00:00.000Z"
}

Save Terms of Service

post
/collections/{id}/tos

Records Terms of Service acceptance for collection publication

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Collection UUID

Body
emailstring · emailRequired
eventstring · enumOptionalPossible values:
hashesstring[]Optional
Responses
200

TOS recorded successfully

No content

post/collections/{id}/tos
POST /v1/collections/{id}/tos HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "email": "[email protected]",
  "event": "publish_collection_tos",
  "hashes": [
    "text"
  ]
}

No content

Get approval data

get
/collections/{id}/approvalData

Returns data needed to approve a third-party collection

Authorizations
X-Identity-Auth-Chain-*stringRequired

Signed fetch authentication using Decentraland's ADR-44 specification. Multiple headers are used to provide the authentication chain.

Path parameters
idstring · uuidRequired

Collection UUID

Responses
200

Approval data

application/json
chequeWasConsumedbooleanOptional
rootstringOptional
get/collections/{id}/approvalData
GET /v1/collections/{id}/approvalData HTTP/1.1
Host: builder-api.decentraland.org
X-Identity-Auth-Chain-*: YOUR_API_KEY
Accept: */*
{
  "cheque": {
    "qty": 1,
    "salt": "text",
    "signature": "text"
  },
  "content_hashes": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "chequeWasConsumed": true,
  "root": "text"
}

Get collection addresses

get
/addresses

Returns collection contract addresses with filtering

Query parameters
statusstring · enumOptionalPossible values:
pageinteger · min: 1Optional

Page number for pagination

Default: 1
limitinteger · min: 1 · max: 100Optional

Number of items per page

Default: 20
Responses
200

List of addresses

No content

get/addresses
GET /v1/addresses HTTP/1.1
Host: builder-api.decentraland.org
Accept: */*
200

List of addresses

No content

Last updated